/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
color: #999999;
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
    color: #999999;
}


/* HP Testi Box Slider Bg */

.module-testimonials.style-2::before, .module-testimonials.style-3::after {
    background-image: url(https://s3.amazonaws.com/static.organiclead.com/Site-586d2376-3c9e-4328-b675-f2b46281bc12/1_HP/testi_bg.jpg);
    background-size: cover;
}

https://www.royacdn.com/unsafe/150x0/smart/Site-96ccafc2-dba3-45de-b2a3-ea4197fd52c4/1_HP/services_circle_bg.jpg
.hp-brands-bg {
    background-image: url(https://s3.amazonaws.com/static.organiclead.com/Site-586d2376-3c9e-4328-b675-f2b46281bc12/1_HP/texture_bg.jpg);
	background-size: cover;
}

.footer-heading h4 {
    text-transform: uppercase;
    font-size: 24px;
    font-weight: 500 !important;
    letter-spacing: 1px;
}

.subheading{
    letter-spacing: 10px;
}

/* HP Heading Styles */
h3 {
    font-size: 32px !important;
    text-transform: unset;
}

h6 { 
    font-family: Inter;
    text-transform: uppercase;
    letter-spacing: 10px;
}

.team-inner-page.style3 .btn-excerpt {
	display: none !important;
}

body[data-page-name="frames"] #hp-brands-6::before {
	display: none;
}

body[data-page-name="frames"] div#hp-brands-6 {
    padding-top: 0 !important;
}

body[data-page-name="contact-us"] #footer-map {
	display: none;
}

body[data-page-name="contact-us"] #ry-footer-3 {
	padding-top: 220px;
}

#navigation-style-15 {
  gap:10px;
}
#navigation-style-15 .group.text-white {
  text-wrap: nowrap
  
}
.slider-info-center-bottom .text-sm {
	min-height:fit-content
}
.slider-info-center-bottom {
	max-width:1080PX !important; 
	width:100%;
}

.snap-mobile-menu .gap-6 {
	gap: 10px;
}

.snap-mobile-menu .gap-4 {
	gap:6PX
}

.snap-mobile-menu {
    background:#fff
}
.snap-mobile-menu .snap-mobile-menu {
    padding-inline:0;
    gap:20px
}
.snap-mobile-menu img {
    filter:unset
}
.mm-navbar__title > span, .mm-menu ::before {
  color: #fff
}
.mm-btn--next::after, .mm-btn--prev::before {
  border-color: #fff
}
#section-hp-services::before, .module-19.style2::before, .ry-services.style2::before {
	opacity:1
}
#ry-footer-3  ul li .font-semibold {
	font-weight:normal
}

@media(min-width:768px) and (max-width:780px) {
	.slider-info-center-bottom .text-xl.md\:text-5xl.font-bold.mb-4 h2 {
		font-size:45px
	}
}


@media(max-width:1280px) {
	#navigation-style-15  .max-w-\[300px\] {
		max-width: 210px;
		width: :1005
	}
}

@media(max-width:1199px) {
  .cta-btn a, #navigation-style-15 .group.text-white *{
	  font-size: 14px;
  }

	.ry-menu .ry-nav li a{
		font-size: 16px
	}
	#navigation-style-15 .flex.gap-4 {
		gap:5px;
	}
	#navigation-style-15  .max-w-\[300px\] {
		max-width: 14.3vw;
		width: :1005
	}

}

@media(max-width:1080px) {
	#navigation-style-15, .ry-menu {
		display: none   !important  
	}
	.snap-mobile-menu {
		display: flex !important
  }
	.homepage-swiper .slider-info-center-bottom {
	top:unset;
	bottom: 30px;
	width:100%;
	max-width:700PX;
	height:fit-content;
	min-height:fit-content
	}
	
	.module-welcome.style-5 .ry-each.image-wrapper .photo{
	padding:0 !important;
	height:100% 
	}
	
	.module-welcome.style-5 .ry-each.image-wrapper .photo img {
	position:relative;
	height:100%;
	inset:0;
	max-width:500px;
	margin-inline:auto
	}
	.module-welcome.style-5 .ry-flex {
	gap:30px
	}
	  .ry-services.style2 *, .module-welcome *, #section-hp-team *, #hp-brands-6 *, .module-testimonials *, #hp-brands-5 *, #hp-insurance-1 * {
        text-align: center !important;
    }
	#section-hp-services, #section-hp-team, #hp-insurance-1, .module-testimonials.style-2{
		padding-block:80px
	}
	.module-testimonials .p-20 {
		padding-inline:30px
	}
	#ry-footer-3 .col-span-full:last-child .overflow-hidden  {
		padding-bottom:0
	}
	#ry-footer-3  ul li span {
	font-size:18px
}
	#ry-footer-3 .col-span-full:last-child ul li {
		gap:5px;
		padding-bottom:10PX
	}
	.snap-mobile-menu img {
		max-width:180PX;
		width:100%;
		max-height:100%;
	}
}

@media (max-width: 1023px) {
    .homepage-swiper .slider-info-center-bottom {
    bottom: 0;
    background: var(--color-primary-background);
    padding: 40px 10px;
    position:relative;
    width:100%;
    max-width:100%;
    inset:unset;
    transform:unset
    }
    .homepage-swiper .button-wrapper {
    display: block;
    bottom: 40px;
    }
	.homepage-swiper a.ry-btn.ry-btn-primary {
		background: var(--color-secondary-background) !important;
	}
    .homepage-swiper .swiper-pagination-bullet-active {
    background: var(--color-secondary-background);
    }
    .homepage-swiper .swiper-slide img {
    height: 100% !important;
    }
    .slider-info-center-bottom * {
        text-align:center !important
    }
    .homepage-swiper .with-gradient:before {
        display:none
    }

    .ry-services.style2 *, .module-welcome *, #section-hp-team *, #hp-brands-6 *, .module-testimonials * {
        text-align:center
    }
	
}
@media (max-width: 767px) {
	.slider-info-center-bottom .text-xl.md\:text-5xl.font-bold.mb-4 h2 {
		font-size: 35PX;
		line-height: 1;
	}
	.slider-info-center-bottom .text-sm {
		font-size:18px !important
	}
	.homepage-swiper .swiper-slide img {
		height:37vh !important
	}


}



/*--- footer ---*/
#ry-footer ul.max-w-\[300px\] li  {
  display: flex;
  gap: 10px
}
#ry-footer ul.max-w-\[300px\] li span {
  display: flex;
  text-wrap:nowrap
}

#ry-footer ul.max-w-\[300px\] li span:last-child {
  display: block;
  width: 140px;
  text-align:start
}

#ry-footer ul.max-w-\[300px\] li span:first-child {
  width: 90px;
  display: block;
  text-align:start
}
#ry-footer h4 {
  text-wrap: nowrap
}

 #ry-footer .grid {
    display: flex;
 }
  #ry-footer .col-span-full {
    width: calc(25% - 10px);
  }
@media(max-width:1400px) {
  #ry-footer .col-span-full li * {
  font-size:16px
    
  }
}
@media(max-width:1279px) {
  #ry-footer .border-t > div {
  width: 100%;;
  display:flex;
  align-items:center;
  justify-content:center;
  
}
}

@media(max-width:1199px) {
  #ry-footer .border-t {
  padding:20px 0;
}

 #ry-footer .grid {
    display: flex;
    flex-wrap:wrap;
    max-width:800px;
    margin-inline: auto;
    width:100%;
    row-gap:40px
  }
  #ry-footer .col-span-full {
    width: calc(50% - 10px);
    display: flex;
    flex-direction: column;
    margin-inline:auto
  }
  #ry-footer .col-span-full > div, 
  #ry-footer .col-span-full ul{
    width:100%;
  }
  #ry-footer .col-span-full:last-child ul{
    max-width:300px !important;
    width:100%;
    margin-inline:auto
  }
  #ry-footer .grid * {
    text-align: center
  }
  #ry-footer .border-t * {
    text-align: center;
    justify-content: center
  }
  #ry-footer .border-t {
  flex-direction: column;
    justify-content: center;
    align-items: center
}
}



@media(max-width:700px) {
    #ry-footer .col-span-full {
    width: 100%;
    }
}